# MP2

Parameters influencing MP2 (non-RI). [Edit on GitHub]

## Keywords

- SECTION_PARAMETERS

- BIG_SEND

- METHOD

## Keyword descriptions

SECTION_PARAMETERS: logical = F

  Lone keyword: `T`

  Usage: &MP2 .TRUE.

  Activates MP2 calculations. [Edit on GitHub]

BIG_SEND: logical = T

  Lone keyword: `T`

  Usage: BIG_SEND

  Influencing the direct canonical MP2 method: Send big messages between processes (useful for >48 processors). [Edit on GitHub]

METHOD: enum = DIRECT_CANONICAL

  Usage: METHOD MP2_GPW

  Valid values:

  - `NONE` Skip MP2 calculation.

  - `DIRECT_CANONICAL` Use the direct mp2 canonical approach.

  - `MP2_GPW` Use the GPW approach to MP2.

  References: DelBen2012, DelBen2013

  Method that is used to compute the MP2 energy. [Edit on GitHub]